import { PlayerAspectRatio } from '../../interfaces';
export interface Crop {
    offsetY?: number;
    offsetX?: number;
    trim: number;
}
export interface LayoutParams {
    offsetY?: number;
    offsetX?: number;
    size?: number;
    crop?: Crop;
    aspectRatio?: PlayerAspectRatio;
    background?: string;
    responsive?: boolean;
}
export interface LayoutPluginOptions {
    params?: LayoutParams;
    enabled?: boolean;
}
export interface LayoutPlugin {
    dispose(): void;
    enable(): void;
    disable(): void;
    setLayout(params?: LayoutParams): void;
    setLayoutManaged(params?: LayoutParams): void;
}
